function [ boolean ] = has_iridium( p_profile )
%HAS_IRIDIUM Checks if profile has iridium coordinates.
%
%   Returns: True if iridium coordinates are available.
%            Displays a warning if parameters are wrong, but returns false!
%
%   Parameters:
%   p_profile:          The nemo profile that is being checked.

%% Initializing return variables
boolean = false;

%% Parameter check

if (~isstruct(p_profile))
    disp([mfilename ': Wrong parameter. Please check your input. Returning false!']);
end

%% Check coordinates
if (~isfield(p_profile, 'IRIDIUM_DATA'))
    boolean = false;
    return
else
    % check if the values are available
    boolean = (~any(isnan(p_profile.IRIDIUM_DATA)));
end

return;

end

