function [ metadata, nemo_data ] = get_data_with_setting( p_metadata, p_nemo_data, p_setting_name, p_setting_value )
%GET_DATA_FOR_OVERVIEW_PLOTS Summary of this function goes here
%   Detailed explanation goes here

%% Parameter check
if ~iscell(p_metadata) || ~iscell(p_nemo_data) || ~ischar(p_setting_name) || ~exist('p_setting_value', 'var')
    disp([mfilename ': Please check your input!']);
end

%% Get data that matches


metadata = cellfun(@(x) match_float(x), p_metadata, 'UniformOutput', false);
metadata = metadata(cellfun(@(x) ~isempty(x), metadata));
nemo_data = cellfun(@(x) match_float_to_metadata(x), p_nemo_data, 'UniformOutput', false);
nemo_data = nemo_data(cellfun(@(x) ~isempty(x), nemo_data));


    function [ x ] = match_float(meta)
        x = [];
        if meta.SETTINGS.(p_setting_name) == p_setting_value
            x = meta;
        end
    end

    function [ y ] = match_float_to_metadata(x)
        if (isempty(nemo.find_float_in_metadata(metadata, x{1}.FLOAT_IDENTIFICATION.float_serial_number)))
            y = [];
        else
            y = x;
        end
    end

end

